{"swagger":"2.0","info":{"description":"This Swagger File Contains All the API which are exposed towards Cisco Control Center for Deployment of 5GaaS Appliance","version":"1.0.0","title":"5GaaS API FOR CISCO CONTROL CENTER","termsOfService":"http://cisco.com/terms/","contact":{"email":"cndp-cloud-dev@cisco.com"}},"host":"cndp-cloud-com","basePath":"/v1.0.0","tags":[{"name":"customer"}],"schemes":["https","http"],"paths":{"/customer/{customerId}":{"put":{"tags":["customer"],"summary":"This API is used to provision customer Information on CNDP Cloud","description":"Provsion Customer","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"customerId","in":"path","description":"ID of customer to return","required":true,"type":"string"},{"in":"body","name":"body","description":"Customer Object that is requried to be added","required":true,"schema":{"$ref":"#/definitions/customer"}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/customer"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]},"get":{"tags":["customer"],"summary":"This API is used to get customer Information on CNDP Cloud","description":"Return Single Customer Information","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"customerId","in":"path","description":"ID of customer ","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/customer"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}},"/customer/{customerId}/status":{"get":{"tags":["customer"],"summary":"This API will get the Customer Status","description":"Return Customer Status","consumes":["application/json"],"produces":["application/json"],"parameters":[{"name":"customerId","in":"path","description":"ID of customer","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/customer-status"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}},"/control-group/{control-group-id}":{"put":{"tags":["control-group"],"summary":"This API is used to provision Control Group Information on CNDP Cloud","description":"Provsion Control Group","produces":["application/json"],"parameters":[{"name":"control-group-id","in":"path","description":"ID of Control Group","required":true,"type":"string"},{"in":"body","name":"body","description":"Control Group Object that is requried to be added","required":true,"schema":{"$ref":"#/definitions/control-group"}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/control-group"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]},"get":{"tags":["control-group"],"summary":"This API is used to get  Control Group Information on CNDP Cloud","description":"Returns Control Group Information","produces":["application/json"],"parameters":[{"name":"control-group-id","in":"path","description":"ID of Control Group","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/control-group"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}},"/control-group/{control-group-id}/status":{"get":{"tags":["control-group"],"summary":"This API is used to provision Control Group Status on CNDP Cloud","description":"Returns Status of Control Group","produces":["application/json"],"parameters":[{"name":"control-group-id","in":"path","description":"ID of customer to return","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/control-group-status"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}},"/control-node/{control-node-id}":{"put":{"tags":["control-node"],"summary":"This API is used to provision Control Node Information on CNDP Cloud","produces":["application/json"],"parameters":[{"name":"control-node-id","in":"path","description":"ID of Control Node","required":true,"type":"string"},{"in":"body","name":"body","description":"Control Group Object that is requried to be added","required":true,"schema":{"$ref":"#/definitions/control-node"}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/control-node"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]},"get":{"tags":["control-node"],"summary":"This API is used to get Control Node Information on CNDP Cloud","description":"Returns Control Node Information","produces":["application/json"],"parameters":[{"name":"control-node-id","in":"path","description":"ID of Control Node","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/control-node"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}},"/control-node/{control-node-id}/status":{"get":{"tags":["control-node"],"summary":"This API is used to get Control Group Status on CNDP Cloud","description":"Returns a map of status codes to quantities","produces":["application/json"],"parameters":[{"name":"control-node-id","in":"path","description":"ID of Control Node","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/control-node-status"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}},"/site/{site-id}":{"put":{"tags":["site"],"produces":["application/json"],"parameters":[{"name":"site-id","in":"path","description":"ID of customer to return","required":true,"type":"string"},{"in":"body","name":"body","description":"Control Group Object that is requried to be added","required":true,"schema":{"$ref":"#/definitions/site"}}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/site-status"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]},"get":{"tags":["site"],"summary":"Returns customer inventories by status","description":"Returns a map of status codes to quantities","produces":["application/json"],"parameters":[{"name":"site-id","in":"path","description":"ID of customer to return","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/site"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}},"/site/{site-id}/status":{"get":{"tags":["site"],"summary":"Returns customer inventories by status","description":"Returns a map of status codes to quantities","produces":["application/json"],"parameters":[{"name":"site-id","in":"path","description":"ID of customer to return","required":true,"type":"string"}],"responses":{"200":{"description":"successful operation","schema":{"$ref":"#/definitions/site-status"}},"400":{"description":"Invalid ID supplied"},"404":{"description":"Customer not found"}},"security":[{"basicAuth":[]}]}}},"securityDefinitions":{"basicAuth":{"type":"basic"}},"security":[{"basicAuth":[]}],"definitions":{"customer":{"type":"object","properties":{"id":{"type":"string","description":"Unique Id associated with customer"},"name":{"type":"string","description":"Name of the Customer"},"description":{"type":"string","description":"Some Description related to customer"}}},"customer-status":{"type":"object","properties":{"id":{"type":"string","description":"Unique Id associated with customer"},"status":{"type":"string","description":"Customer Status","enum":["ACTIVE","INACTIVE"]}}},"control-group":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"}}},"control-group-status":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","description":"Order Status","enum":["ACTIVE","INACTIVE"]}}},"control-node":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"cert-chain":{"type":"string"}}},"control-node-status":{"type":"object","properties":{"id":{"type":"string"},"status":{"type":"string","description":"Order Status","enum":["CONNECTED","DISCONNECTED"]}}},"site":{"type":"object","properties":{"id":{"type":"string"},"release_number":{"type":"string"},"deploymentmodel":{"type":"string","description":"Order Status","enum":["HA_5GaaS","AIO_5GaaS"]},"Infrastructure":{"type":"object","$ref":"#/definitions/Infrastructure"},"MobilityService":{"type":"object","$ref":"#/definitions/mobility_service"}}},"Infrastructure":{"type":"object","properties":{"ucs_hardware":{"type":"object","additionalProperties":{"$ref":"#/definitions/UCSConnection"}},"networking":{"$ref":"#/definitions/Networking"}}},"UCSConnection":{"type":"object","properties":{"cimc_username":{"type":"string"},"password":{"type":"string"},"cimc_ipv4_address":{"type":"string"}}},"Networking":{"type":"object","properties":{"management_network":{"$ref":"#/definitions/management_network"},"ntp":{"$ref":"#/definitions/NTP"},"dns":{"$ref":"#/definitions/DNS"},"n6":{"$ref":"#/definitions/N6"},"vlan":{"$ref":"#/definitions/VLAN"}}},"management_network":{"type":"object","properties":{"management_cidr_ipv4":{"type":"string"},"gw_ipv4":{"type":"string"},"gw_vlan":{"type":"integer"}}},"NTP":{"type":"object","properties":{"primary_ipv4":{"type":"string"},"secondary_ipv4":{"type":"string"}}},"DNS":{"type":"object","properties":{"primary_ipv4":{"type":"string"},"secondary_ip4":{"type":"string"}}},"N6":{"type":"object","properties":{"address_ipv4":{"type":"string"},"gw_ipv4":{"type":"string"},"gw_vlan":{"type":"integer"}}},"VLAN":{"type":"object","properties":{"vlan":{"type":"array","items":{"type":"integer"}}}},"mobility_service":{"type":"object","properties":{"dnn":{"type":"string"},"ipam":{"$ref":"#/definitions/IPAM"},"plmn":{"$ref":"#/definitions/PLMN"},"supirange":{"$ref":"#/definitions/supi_range"},"proxyEndPoint":{"$ref":"#/definitions/proxy-endpoint"}}},"IPAM":{"type":"object","properties":{"address_cidr_ipv4":{"type":"string"},"address_cidr_ipv6":{"type":"string"}}},"PLMN":{"type":"object","properties":{"mcc":{"type":"integer"},"mnc":{"type":"integer"}}},"supi_range":{"type":"object","properties":{"start":{"type":"integer"},"stop":{"type":"integer"}}},"proxy-endpoint":{"type":"object","properties":{"ipv4":{"type":"string"},"port":{"type":"integer"}}},"site-status":{"type":"object","properties":{"id":{"type":"string"},"deployment_status":{"type":"string","description":"Deployment Status","enum":["CONNECTED","DISCONNECTED"]}}}}}